#!/bin/sh

/bin/cat > /tmp/oxibackup_installation_wizard.php <<'EOF'
<?php
$hostname = gethostname();
echo  <<<PHPEOF
[
EOF

if [ "$SYNOPKG_PKG_STATUS" = "INSTALL" ]
then
    # Check if the machine is already registered
    if [ -f "/opt/oxibackup/config/auth.conf" ] || [ -f "/root/.oxibackup/config/auth.conf" ]
    then
        /bin/cat >> /tmp/oxibackup_installation_wizard.php <<'EOF'
{
    "step_title": "Configuration existante",
    "items": [{
        "type": "multiselect",
        "desc": "Il semblerait que cette machine possède déjà une configuration Oxibox. Veuillez confirmer que cette configuration peut être écrasée avant de continuer.",
        "subitems": [{
            "key": "oxibox_erase_config",
            "desc": "Écraser la configuration existante et continuer",
            "defaultValue": false,
            "validator": {
                "fn": "{var v=arguments[0]; if (!v) return 'Vous devez confirmer l&#39;opération pour continuer'; return true;}"
            }
        }]
    }]
},
EOF
    fi

    /bin/cat >> /tmp/oxibackup_installation_wizard.php <<'EOF'
{
    "step_title": "Enregistrez votre NAS sur les services Oxibox",
    "items": [{
        "type": "textfield",
        "subitems": [{
            "key": "oxibox_login",
            "desc": "Identifiant du compte Oxibox",
            "invalidText": "Nom d'utilisateur invalide",
            "blankText": "Veuillez entrer l'identifiant de votre compte Oxibox",
            "minLength": 1,
            "maxLength": 45,
            "validator": {
                "allowBlank": false,
                "regex": {
                    "expr": "/^[a-z0-9_-]{1,45}$/",
                    "errorText": "Nom d'utilisateur invalide"
                }
            }
        }]
    },{
        "type": "password",
        "subitems": [{
            "key": "oxibox_password",
            "desc": "Mot de passe du compte Oxibox",
            "invalidText": "Mot de passe invalide",
            "blankText": "Veuillez entrer le mot de passe de votre compte Oxibox",
            "minLength": 8,
            "maxLength": 50,
            "validator": {
                "allowBlank": false,
                "regex": {
                    "expr": "/^.{8,50}$/",
                    "errorText": "Mot de passe invalide"
                }
            }
        }]
    },{
        "type": "textfield",
        "desc": "Choisissez un nom pour votre machine ou laissez le nom d'hôte existant.",
        "subitems": [{
            "key": "oxibox_hostname",
            "desc": "Nom de la machine",
            "defaultValue": "$hostname",
            "invalidText": "Nom de machine invalide",
            "blankText": "Veuillez entrer un nom pour votre machine",
            "minLength": 2,
            "maxLength": 45,
            "validator": {
                "allowBlank": false,
                "regex": {
                    "expr": "/^[A-Za-z0-9][A-Za-z0-9-_. #]{0,43}[A-Za-z0-9]$/",
                    "errorText": "Nom de machine invalide"
                }
            }
        }]
    }]
}
EOF
fi

/bin/cat >> /tmp/oxibackup_installation_wizard.php <<'EOF'
]
PHPEOF;
?>
EOF

/usr/bin/php -n /tmp/oxibackup_installation_wizard.php > "$SYNOPKG_TEMP_LOGFILE"
rm /tmp/oxibackup_installation_wizard.php

exit 0
